package com.maintain.business.service;

import com.maintain.business.domain.ErpMaterialReturns;
import com.maintain.business.domain.vo.ErpMaterialReturnsVo;
import com.maintain.business.domain.bo.ErpMaterialReturnsBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 物料退货Service接口
 *
 * @author liushuai
 * @date 2025-04-07
 */
public interface IErpMaterialReturnsService {

    /**
     * 查询物料退货
     */
    ErpMaterialReturnsVo queryById(Long id);

    /**
     * 查询物料退货列表
     */
    TableDataInfo<ErpMaterialReturnsVo> queryPageList(ErpMaterialReturnsBo bo, PageQuery pageQuery);

    /**
     * 查询物料退货列表
     */
    List<ErpMaterialReturnsVo> queryList(ErpMaterialReturnsBo bo);

    /**
     * 新增物料退货
     */
    Boolean insertByBo(ErpMaterialReturnsBo bo);

    /**
     * 修改物料退货
     */
    Boolean updateByBo(ErpMaterialReturnsBo bo);

    /**
     * 校验并批量删除物料退货信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
